SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Apache Storm Vendors:   Apache Software Foundation
Apache Storm Unspecified Flaw Lets Remote Authenticated Users View Other User Credentials in Certain Cases.
SecurityTracker Alert ID:  1039116
SecurityTracker URL:  http://securitytracker.com/id/1039116
CVE Reference:   CVE-2017-9799   (Links to External Site)
Date:  Aug 9 2017
Impact:   Disclosure of authentication information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.1.0
Description:   A vulnerability was reported in Apache Storm. A remote authenticated user can obtain user credentials on the target system in certain cases.

A remote authenticated user that is the owner of a topology can exploit a flaw to cause the supervisor to launch a worker as a different (non-root) user and obtain credentials from the target user account.

Certain configurations are affected.

Systems with Apache Storm security components enabled are affected.

The Apache Storm PMC reported this vulnerability.

Impact:   A remote authenticated user can obtain user credentials on the target system in certain cases.
Solution:   The vendor has issued a fix (1.0.4, 1.1.1).

The vendor advisory is available at:

https://mail-archives.apache.org/mod_mbox/storm-user/201708.mbox/%3C8BC44D3C-7AAD-48C9-9807-85C237A6AEB5%40apache.org%3E

Vendor URL:  storm.apache.org/ (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC